<?xml version="1.0" encoding="UTF-8"?><record_update sys_domain="global" table="sys_cb_design_topic">
    <sys_cb_design_topic action="INSERT_OR_UPDATE">
        <compiled_topic/>
        <design_definition>{"type":"FlowTopic","triggers":[{"type":"Trigger","name":"53d0b578b4774fc9981f718689c0c5dd","triggerType":"request","applicability":{"type":"Applicability","mode":"script","value":"true"},"id":"53d0b578b4774fc9981f718689c0c5dd"}],"goals":[{"name":"primary","trigger_id":"53d0b578b4774fc9981f718689c0c5dd","nodes":[{"type":"StartGoal","goal_id":"primary","greeting_msg":{"type":"String","mode":"string","value":""},"id":"283ade88c3914d3b9dfe89c1b59e02b9","name":"Start","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"TerminateGoal","goal_id":"primary","confirmation_msg":{"type":"String","mode":"string","value":""},"id":"8c1394b7037f4d69bfd21efb6da01bcf","name":"End","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"InputPrompt","variable_id":"9dc1a6339b774c30915a24168512d249","message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"Sure, I can help you create a problem. Please tell me more about your problem (a short sentence or two should be fine)\", vaContext.getRequesterLang())"},"nlu_entity_binding":{"type":"NLUEntityBinding","allow_text_input":false,"use_confirmation_prompt":true},"skippable":{"type":"Applicability","mode":"script","value":"false"},"id":"ab504e8251704292b8824e18c879e2f5","name":"Short Description","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"formatType":"Text","validationScript":""},{"type":"ReferenceChoiceInputPrompt","mode":"external","id":"4f0cad29de5744038997c12d997d4001","name":"Urgency","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"variable_id":"02f54c1d60a048859a2cce19e20248b4","message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"What's the urgency of this problem?\", vaContext.getRequesterLang())"},"skippable":{"type":"Applicability","mode":"script","value":"false"},"nlu_entity_binding":{"type":"NLUEntityBinding","allow_text_input":true,"use_confirmation_prompt":false},"expression_mode":"script","script":"(function execute() {\n    var options = [];\n\n    var choices = new GlideChoiceList();\n    // Getting all the choices for urgency.\n    var choiceList = choices.getChoiceList('problem', 'urgency');\n    for (var i=0; i &lt; choiceList.getSize(); i++) {\n        options.push({'value': choiceList.getChoice(i).getValue(), 'label': choiceList.getChoice(i).getLabel()});\n    }\n    \n    return options;    \n})()\n","metadataScript":"","cardName":"","cardFields":[],"no_options_found_message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"No choices found\", vaContext.getRequesterLang())"},"condition":{"type":"Condition","mode":"external_script","value":"(function execute() {\n    var options = [];\n\n    var choices = new GlideChoiceList();\n    // Getting all the choices for urgency.\n    var choiceList = choices.getChoiceList('problem', 'urgency');\n    for (var i=0; i &lt; choiceList.getSize(); i++) {\n        options.push({'value': choiceList.getChoice(i).getValue(), 'label': choiceList.getChoice(i).getLabel()});\n    }\n    \n    return options;    \n})()\n"}},{"type":"ReferenceChoiceInputPrompt","mode":"external","id":"07a7cc5d9fac49e5bbcd0947e90f35ea","name":"Impact","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"variable_id":"b641d4cf7db448cb824abdf316122f6e","message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"What's the impact of this problem?\", vaContext.getRequesterLang())"},"skippable":{"type":"Applicability","mode":"script","value":"false"},"nlu_entity_binding":{"type":"NLUEntityBinding","allow_text_input":true,"use_confirmation_prompt":false},"expression_mode":"script","script":"(function execute() {\n    var options = [];\n\n    var choices = new GlideChoiceList();\n    // Getting all the choices for impact.\n    var choiceList = choices.getChoiceList('problem', 'impact');\n    for (var i=0; i &lt; choiceList.getSize(); i++) {\n        options.push({'value': choiceList.getChoice(i).getValue(), 'label': choiceList.getChoice(i).getLabel()});\n    }\n    \n    return options; \n})();\n","metadataScript":"","cardName":"","cardFields":[],"no_options_found_message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"No choices found\", vaContext.getRequesterLang())"},"condition":{"type":"Condition","mode":"external_script","value":"(function execute() {\n    var options = [];\n\n    var choices = new GlideChoiceList();\n    // Getting all the choices for impact.\n    var choiceList = choices.getChoiceList('problem', 'impact');\n    for (var i=0; i &lt; choiceList.getSize(); i++) {\n        options.push({'value': choiceList.getChoice(i).getValue(), 'label': choiceList.getChoice(i).getLabel()});\n    }\n    \n    return options; \n})();\n"}},{"type":"InputPrompt","variable_id":"e0a867b3d6ca45baa63627d889455bf3","message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"OK, let's search for the right configuration item (CI). Please enter a specific search term and I'll take a look.\", vaContext.getRequesterLang())"},"nlu_entity_binding":{"type":"NLUEntityBinding","allow_text_input":false,"use_confirmation_prompt":true},"skippable":{"type":"Applicability","mode":"script","value":"(function execute() {\n    /* Return true or false to indicate if the topic node can\n       be skipped (or not).  For example:\n\n       var skippable = vaInputs.first_name == 'Bill' ? true : false;\n       return skippable;\n    */\n    return true;\n})()\n"},"id":"14befe7f6cf44233a0b812fb8659c7dc","name":"CI Search Term","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"formatType":"Text","validationScript":""},{"type":"ScriptedAction","script":"(function execute() {\n    var count = 0;\n\n    var gr = new GlideAggregate('cmdb_ci');\n    gr.addQuery('name', 'CONTAINS', vaInputs.ci_search_term);\n    gr.addAggregate('COUNT');\n    gr.query();\n    if (gr.next())\n        count = gr.getAggregate('COUNT');\n\n    if (count &gt; vaVars.choice_limit) {\n        var gr = new GlideAggregate('cmdb_ci');\n        gr.addQuery('name', vaInputs.ci_search_term);\n        gr.addAggregate('COUNT');\n        gr.query();\n        if (gr.next() &amp;&amp; gr.getAggregate('COUNT') &gt; 0){\n            count = gr.getAggregate('COUNT');\n        }\n        \n    }\n    // set count variable\n    vaVars.count = count;\n})();","id":"e0801644a6684d6ba50863bc61251063","name":"Check matching CIs","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"Decision","name":"CI Count Decision","branches":[{"type":"Branch","label":"Matching CI/CIs and less than limit","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaVars.count &gt; 0 &amp;&amp; vaVars.count &lt; vaVars.choice_limit;\n})();\n"},"id":"46c1b9dcead847c3a0c06d6c3ce474b1","name":"Matching CI/CIs and less than limit"},{"type":"Branch","label":"No matching CI","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaVars.count == 0;\n})();\n"},"id":"293a3120e40840489ecb32ab005fd23f","name":"No matching CI"},{"type":"Branch","label":"More than limit","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return (vaVars.count &gt; vaVars.choice_limit);\n})()\n"},"id":"26cab349686a485ba8c317718c1f7e0b","name":"More than limit"}],"id":"e50dee39e2a645718fba28c218580b04","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"ReferenceChoiceInputPrompt","mode":"external","id":"8a064e30b5724e9896bbba61f861ca29","name":"Configuration Item","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"variable_id":"5fed4abecb144bb1a2028993aa4cdd4d","message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"Ok, now let's search for the associated configuration item.\", vaContext.getRequesterLang())"},"skippable":{"type":"Applicability","mode":"script","value":"false"},"nlu_entity_binding":{"type":"NLUEntityBinding","allow_text_input":false,"use_confirmation_prompt":true},"expression_mode":"script","script":"(function execute() {\n    var count = 0;\n    var options = [];\n    \n    options.push({ 'value': 'skip', 'label': gs.getMessage('Skip configuration item') });\n\n    var gr = new GlideRecordSecure('cmdb_ci');\n    gr.addQuery('name', vaInputs.ci_search_term);\n    gr.query();\n    while (gr.next()) {\n        options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue() });\n    }\n    var count = gr.getRowCount();\n    vaVars.count = count;\n\n\n\n    var gr = new GlideRecordSecure('cmdb_ci');\n    gr.addQuery('name', 'CONTAINS', vaInputs.ci_search_term);\n    gr.addQuery('name', '!=', vaInputs.ci_search_term)\n    gr.orderBy('name');\n    gr.query();\n\n    var count = gr.getRowCount();\n    vaVars.count = vaVars.count + count;\n\n\n    while (gr.next()) {\n        options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue() });\n    }\n    return options;\n})();","metadataScript":"","cardName":"","cardFields":[],"no_options_found_message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"No Records Found\", vaContext.getRequesterLang())"},"condition":{"type":"Condition","mode":"external_script","value":"(function execute() {\n    var count = 0;\n    var options = [];\n    \n    options.push({ 'value': 'skip', 'label': gs.getMessage('Skip configuration item') });\n\n    var gr = new GlideRecordSecure('cmdb_ci');\n    gr.addQuery('name', vaInputs.ci_search_term);\n    gr.query();\n    while (gr.next()) {\n        options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue() });\n    }\n    var count = gr.getRowCount();\n    vaVars.count = count;\n\n\n\n    var gr = new GlideRecordSecure('cmdb_ci');\n    gr.addQuery('name', 'CONTAINS', vaInputs.ci_search_term);\n    gr.addQuery('name', '!=', vaInputs.ci_search_term)\n    gr.orderBy('name');\n    gr.query();\n\n    var count = gr.getRowCount();\n    vaVars.count = vaVars.count + count;\n\n\n    while (gr.next()) {\n        options.push({ 'value': gr.getUniqueValue(), 'label': gr.getDisplayValue() });\n    }\n    return options;\n})();"}},{"type":"Decision","name":"CI Decision","branches":[{"type":"Branch","label":"Skip","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaInputs.configuration_item == 'skip';\n})();"},"id":"c745e5252cbd46d9bd9feb69ca4da259","name":"Skip"},{"type":"Branch","label":"CI Chosen","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return (vaInputs.configuration_item != 'skip' &amp;&amp; parseInt(vaVars.count) &gt; 0);\n})();"},"id":"0cff9456cd034637a3e2f15c6e4059aa","name":"CI Chosen"}],"id":"a9a8fe7ef6994e5482174bd531e5df95","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"OutputPrompt","value":{"type":"String","mode":"string","value":"gs.getMessageLang(\"Alright, I've captured it.\", vaContext.getRequesterLang())"},"id":"b170db241b7b4818b81d125a57c9b19f","name":"Captured CI","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"secure":false},{"type":"ScriptedAction","script":"(function execute() {\n    vaInputs.configuration_item = '';\n})();","id":"4b4f9230b5e04e92a276f4201d41698a","name":"No CI","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"ScriptedAction","script":"(function execute() {\n    vaVars.configuration_item_selected = vaInputs.configuration_item;\n})();","id":"150ccbea5dbe4a3f8a103a62556e9aef","name":"Set CI","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"Decision","name":"Add Details Decision","branches":[{"type":"Branch","label":"No","expression":{"type":"Applicability","mode":"query","value":"add_additional_details="},"id":"9c0ec0d9d05b47fc9892b4000594a085","name":"No"},{"type":"Branch","label":"Yes","expression":{"type":"Applicability","mode":"query","value":"add_additional_details=true"},"id":"ca2aaf30318d4187bd68617660f80437","name":"Yes"}],"id":"15aa7b1c457e487796c5f95648877bff","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"InputPrompt","variable_id":"3e5817ecce8a4620bf31ddf6c127ab4d","message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"Please enter the description\", vaContext.getRequesterLang())"},"nlu_entity_binding":{"type":"NLUEntityBinding","allow_text_input":false,"use_confirmation_prompt":true},"skippable":{"type":"Applicability","mode":"script","value":"false"},"id":"3b46dd9b58a44b65abd84044bc4263f4","name":"Description","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"formatType":"Text","validationScript":""},{"type":"ScriptedAction","script":"(function execute() {\n    var problemGr = new GlideRecordSecure('problem');\n    problemGr.initialize();\n    problemGr.short_description = vaInputs.short_description;\n    problemGr.urgency = vaInputs.urgency;\n    problemGr.impact = vaInputs.impact;\n    problemGr.cmdb_ci = vaVars.configuration_item_selected;\n    problemGr.description = vaInputs.description;\n    // When no CI found, add the search term to the additional comments\n    if (vaVars.count == 0)\n        problemGr.comments = \"Affected CI Description: \" + vaInputs.ci_search_term;\n    \n    vaVars.create_problem = problemGr.insert();\n    return vaVars.create_problem;\n})();","id":"e348a51e53bb4e91b44fffacf368ac7a","name":"Create Problem","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"OutputPrompt","value":{"type":"String","mode":"string","value":"gs.getMessageLang(\"I've successfully created the problem.\", vaContext.getRequesterLang())"},"id":"96018bb53ffb40b4ad372e0890900d7e","name":"Success","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"secure":false},{"type":"Decision","name":"Short description Value Decision","branches":[{"type":"Branch","label":"Not Empty","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaInputs.short_description.getValue().trim() != '';\n})();\n"},"id":"0fe0b46e34dc47f8ade68f66c53fd8ee","name":"Not Empty"},{"type":"Branch","label":"Empty","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaInputs.short_description.getValue().trim() == '';\n})();\n"},"id":"7aa0ff38deb1427b8e86dbd8cfd17591","name":"Empty"}],"id":"9ef11a0b08b64c0294d7fd5479fe613a","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"InputPrompt","variable_id":"3ff090c7233046feae76cd82f8e9bd9a","message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"We are almost done! Do you want to add additional details to this problem?\", vaContext.getRequesterLang())"},"nlu_entity_binding":{"type":"NLUEntityBinding","allow_text_input":false,"use_confirmation_prompt":true},"skippable":{"type":"Applicability","mode":"script","value":"false"},"id":"fb70707b0cf74028b611eb7d0cfa4e74","name":"Add Additional Details","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"RecordOutputPrompt","mode":"script","table":"problem","script":"(function execute(table) {\n    var gr = new GlideRecordSecure(table);\n    gr.get(vaVars.create_problem);\n    if(gr) {\n          return gr;\n    }\n})(table);\n","fields":["short_description","urgency","impact","cmdb_ci","description"],"id":"95ccbec7fba440d7a31318b95089b861","name":"Problem Card","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"condition":{"type":"Condition","mode":"glide_scripted_query","value":"(function execute(table) {\n    var gr = new GlideRecordSecure(table);\n    gr.get(vaVars.create_problem);\n    if(gr) {\n          return gr;\n    }\n})(table);\n"}},{"type":"InputPrompt","variable_id":"4669d51b41bc4dfcbfe79a4af2c19cf5","message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"I did not find any CIs, would you like to search again for the CI?\", vaContext.getRequesterLang())"},"nlu_entity_binding":{"type":"NLUEntityBinding","allow_text_input":false,"use_confirmation_prompt":true},"skippable":{"type":"Applicability","mode":"script","value":"false"},"id":"8e5510b1dc1c4c049c80432906358a55","name":"Repeat CI Search","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"Decision","name":"Decision","branches":[{"type":"Branch","label":"Skip Search","expression":{"type":"Applicability","mode":"query","value":"repeat_ci_search="},"id":"4602f595bd104676a45dcca730d1481a","name":"Skip Search"},{"type":"Branch","label":"Repeat Search","expression":{"type":"Applicability","mode":"query","value":"repeat_ci_search=true"},"id":"4422708f4ca54da0b13181725549ab25","name":"Repeat Search"}],"id":"cc593ab5764f4a8e940dda9f8404b9f4","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"Decision","name":"Decision","branches":[{"type":"Branch","label":"Update Successful","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaVars.create_problem != null;\n})()\n"},"id":"4b81e2fd8bd4406fa57a681fefbd6e96","name":"Update Successful"},{"type":"Branch","label":"Update Not Successful","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaVars.create_problem == null;\n})()\n"},"id":"64bdcb22028543c68d5534316d2d13b2","name":"Update Not Successful"}],"id":"d648e54912224f63b7bae9c10064087c","goal_id":"primary"},{"type":"OutputPrompt","value":{"type":"String","mode":"string","value":"gs.getMessageLang(\"The problem creation failed due to some internal error. Please try again later.\", vaContext.getRequesterLang())"},"id":"66635838ecc8498b89f7d561b6ab52b2","name":"Unsuccessful message","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"secure":false},{"type":"Decision","name":"Decision","branches":[{"type":"Branch","label":"Search CI","expression":{"type":"Applicability","mode":"query","value":"ci_search_termISNOTEMPTY"},"id":"12ec66650bb047f299b20eed2c820855","name":"Search CI"},{"type":"Branch","label":"Skip","expression":{"type":"Applicability","mode":"query","value":"ci_search_termISEMPTY"},"id":"d5fee6f59a07415b9ae91258c6cc04b2","name":"Skip"}],"id":"d7b0c728d446406bb14dbab5d2ac5544","goal_id":"primary"},{"type":"OutputPrompt","value":{"type":"String","mode":"string","value":"gs.getMessageLang(\"Seems like there are several CIs that include that search term. Could you try being more specific?\", vaContext.getRequesterLang())"},"id":"46622b74d7214948ac5ffadc7fb0a7ed","name":"More choice message","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"secure":false}],"edges":[{"type":"Edge","source_node_id":"96018bb53ffb40b4ad372e0890900d7e","target_node_id":"95ccbec7fba440d7a31318b95089b861","id":"9eee833fc6e24bb9a1502c5e5eb94e22"},{"type":"Edge","source_node_id":"a9a8fe7ef6994e5482174bd531e5df95","target_node_id":"4b4f9230b5e04e92a276f4201d41698a","branch_id":"c745e5252cbd46d9bd9feb69ca4da259","id":"58c38c1a57d747bdabff0a93e9b8a4b9","name":"c745e5252cbd46d9bd9feb69ca4da259"},{"type":"Edge","source_node_id":"fb70707b0cf74028b611eb7d0cfa4e74","target_node_id":"15aa7b1c457e487796c5f95648877bff","id":"db0e776009aa49b3bc5441725363d213"},{"type":"Edge","source_node_id":"15aa7b1c457e487796c5f95648877bff","target_node_id":"e348a51e53bb4e91b44fffacf368ac7a","branch_id":"9c0ec0d9d05b47fc9892b4000594a085","id":"f13ffc64d18e43b5bed30b558e6efa7c","name":"9c0ec0d9d05b47fc9892b4000594a085"},{"type":"Edge","source_node_id":"283ade88c3914d3b9dfe89c1b59e02b9","target_node_id":"ab504e8251704292b8824e18c879e2f5","id":"b77bf7f7661c4fa4a676cd0227a9eb7e"},{"type":"Edge","source_node_id":"4f0cad29de5744038997c12d997d4001","target_node_id":"07a7cc5d9fac49e5bbcd0947e90f35ea","id":"c08d9228eb594c59afc6193aba3e118b"},{"type":"Edge","source_node_id":"07a7cc5d9fac49e5bbcd0947e90f35ea","target_node_id":"14befe7f6cf44233a0b812fb8659c7dc","id":"5054e6d813644e209a988a24b5b3a32f"},{"type":"Edge","source_node_id":"e0801644a6684d6ba50863bc61251063","target_node_id":"e50dee39e2a645718fba28c218580b04","id":"728301cb300044c1bce2159d2b7f1d09"},{"type":"Edge","source_node_id":"e50dee39e2a645718fba28c218580b04","target_node_id":"8a064e30b5724e9896bbba61f861ca29","branch_id":"46c1b9dcead847c3a0c06d6c3ce474b1","id":"d7cdfcf392924dc89a41f669a9a44509","name":"46c1b9dcead847c3a0c06d6c3ce474b1"},{"type":"Edge","source_node_id":"8a064e30b5724e9896bbba61f861ca29","target_node_id":"a9a8fe7ef6994e5482174bd531e5df95","id":"7b4de7de429a4ebc8628b352a2fc48bc"},{"type":"Edge","source_node_id":"a9a8fe7ef6994e5482174bd531e5df95","target_node_id":"b170db241b7b4818b81d125a57c9b19f","branch_id":"0cff9456cd034637a3e2f15c6e4059aa","id":"e927e24e51884e91845a43c6c1cf12ff","name":"0cff9456cd034637a3e2f15c6e4059aa"},{"type":"Edge","source_node_id":"b170db241b7b4818b81d125a57c9b19f","target_node_id":"150ccbea5dbe4a3f8a103a62556e9aef","id":"d1bb3e818cd740e59e8886d42704d9f4"},{"type":"Edge","source_node_id":"4b4f9230b5e04e92a276f4201d41698a","target_node_id":"150ccbea5dbe4a3f8a103a62556e9aef","id":"9748a9238aa9429a8ce8953f05650a07"},{"type":"Edge","source_node_id":"150ccbea5dbe4a3f8a103a62556e9aef","target_node_id":"fb70707b0cf74028b611eb7d0cfa4e74","id":"d549606a65cf42e39c9369e6ebae6579"},{"type":"Edge","source_node_id":"15aa7b1c457e487796c5f95648877bff","target_node_id":"3b46dd9b58a44b65abd84044bc4263f4","branch_id":"ca2aaf30318d4187bd68617660f80437","id":"69b7beb0dfd94a5fbc2fd7a409b83939","name":"ca2aaf30318d4187bd68617660f80437"},{"type":"Edge","source_node_id":"3b46dd9b58a44b65abd84044bc4263f4","target_node_id":"e348a51e53bb4e91b44fffacf368ac7a","id":"a1e7ac84b16147719ddba19b7177e462"},{"type":"Edge","source_node_id":"ab504e8251704292b8824e18c879e2f5","target_node_id":"9ef11a0b08b64c0294d7fd5479fe613a","id":"89e38f21e8ca4287b61343646f623726"},{"type":"Edge","source_node_id":"9ef11a0b08b64c0294d7fd5479fe613a","target_node_id":"4f0cad29de5744038997c12d997d4001","branch_id":"0fe0b46e34dc47f8ade68f66c53fd8ee","id":"7bcc5b08d88e48139baa6fc50543ea7d","name":"0fe0b46e34dc47f8ade68f66c53fd8ee"},{"type":"Edge","source_node_id":"9ef11a0b08b64c0294d7fd5479fe613a","target_node_id":"ab504e8251704292b8824e18c879e2f5","branch_id":"7aa0ff38deb1427b8e86dbd8cfd17591","id":"e4670c75091e4cd8bfb8f30cafde02c6","name":"7aa0ff38deb1427b8e86dbd8cfd17591"},{"type":"Edge","source_node_id":"95ccbec7fba440d7a31318b95089b861","target_node_id":"8c1394b7037f4d69bfd21efb6da01bcf","id":"749210cfadc348929e369f830a43ee6c"},{"type":"Edge","source_node_id":"e50dee39e2a645718fba28c218580b04","target_node_id":"8e5510b1dc1c4c049c80432906358a55","branch_id":"293a3120e40840489ecb32ab005fd23f","id":"1b7bebed8f0f44e6b1636b1ca5a8d60e","name":"293a3120e40840489ecb32ab005fd23f"},{"type":"Edge","source_node_id":"8e5510b1dc1c4c049c80432906358a55","target_node_id":"cc593ab5764f4a8e940dda9f8404b9f4","id":"704ff39e02a94c56a315984783953223"},{"type":"Edge","source_node_id":"cc593ab5764f4a8e940dda9f8404b9f4","target_node_id":"4b4f9230b5e04e92a276f4201d41698a","branch_id":"4602f595bd104676a45dcca730d1481a","id":"daab727e0ac544a6b4c724a1e902581e","name":"4602f595bd104676a45dcca730d1481a"},{"type":"Edge","source_node_id":"cc593ab5764f4a8e940dda9f8404b9f4","target_node_id":"14befe7f6cf44233a0b812fb8659c7dc","branch_id":"4422708f4ca54da0b13181725549ab25","id":"d0cb7261722d4bda9bba4a32ed4fecb3","name":"4422708f4ca54da0b13181725549ab25"},{"type":"Edge","source_node_id":"e348a51e53bb4e91b44fffacf368ac7a","target_node_id":"d648e54912224f63b7bae9c10064087c","id":"bb3c2eb20ef444f9acc57a3412c000db"},{"type":"Edge","source_node_id":"d648e54912224f63b7bae9c10064087c","target_node_id":"96018bb53ffb40b4ad372e0890900d7e","branch_id":"4b81e2fd8bd4406fa57a681fefbd6e96","id":"def606a5698a415f80d9e58dbc2bca73","name":"4b81e2fd8bd4406fa57a681fefbd6e96"},{"type":"Edge","source_node_id":"d648e54912224f63b7bae9c10064087c","target_node_id":"66635838ecc8498b89f7d561b6ab52b2","branch_id":"64bdcb22028543c68d5534316d2d13b2","id":"a1e5a84946a4447ba6c3d6ab963734c2","name":"64bdcb22028543c68d5534316d2d13b2"},{"type":"Edge","source_node_id":"66635838ecc8498b89f7d561b6ab52b2","target_node_id":"8c1394b7037f4d69bfd21efb6da01bcf","id":"ba2689b369d84fc285aacdd08e6a0269"},{"type":"Edge","source_node_id":"14befe7f6cf44233a0b812fb8659c7dc","target_node_id":"d7b0c728d446406bb14dbab5d2ac5544","id":"2fb03325718f484ca1f765c399e5c6b2"},{"type":"Edge","source_node_id":"d7b0c728d446406bb14dbab5d2ac5544","target_node_id":"e0801644a6684d6ba50863bc61251063","branch_id":"12ec66650bb047f299b20eed2c820855","id":"4d1f661bc1b24704a1c7c3eb472f5cf5","name":"12ec66650bb047f299b20eed2c820855"},{"type":"Edge","source_node_id":"d7b0c728d446406bb14dbab5d2ac5544","target_node_id":"4b4f9230b5e04e92a276f4201d41698a","branch_id":"d5fee6f59a07415b9ae91258c6cc04b2","id":"3e0757938ba14b93a12205c9e193ca5d","name":"d5fee6f59a07415b9ae91258c6cc04b2"},{"type":"Edge","source_node_id":"e50dee39e2a645718fba28c218580b04","target_node_id":"46622b74d7214948ac5ffadc7fb0a7ed","branch_id":"26cab349686a485ba8c317718c1f7e0b","id":"de3e1bfdffe54d55b398408bf50150e7","name":"26cab349686a485ba8c317718c1f7e0b"},{"type":"Edge","source_node_id":"46622b74d7214948ac5ffadc7fb0a7ed","target_node_id":"14befe7f6cf44233a0b812fb8659c7dc","id":"92c8976fda0c45b3b603283b045b5449"}],"id":"primary"}],"script_variables":[{"type":"String","name":"LiveAgent_application","value":{"type":"String","mode":"string","value":"itsm"},"list":false,"id":"ed84b8371b294c9ba4443b1aca5dfab8","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"configuration_item_selected","value":{"type":"String","mode":"string"},"list":false,"id":"b52456e31d314468b6fbcb9f5825287e","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"count","value":{"type":"String","mode":"string","value":"0"},"list":false,"id":"77bca6ba6e12426ea46a58860a37d54f","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"choice_limit","value":{"type":"String","mode":"script","value":"(function execute() {\n    if(vaContext.deviceType == 'mweb') \n    return 100000;\n    \n    return 100;\n})()\n"},"list":false,"id":"c73e956bd114408b9b18f3b310d22713","formatType":"text","secure":false,"sensitive":false}],"glide_variables":[{"type":"String","name":"short_description","list":false,"id":"9dc1a6339b774c30915a24168512d249","formatType":"Text","validationScript":"","secure":false,"sensitive":false},{"type":"Choice","choices":[],"id":"02f54c1d60a048859a2cce19e20248b4","name":"urgency","formatType":"text","secure":false,"sensitive":false,"list":false,"table":""},{"type":"Choice","choices":[],"id":"b641d4cf7db448cb824abdf316122f6e","name":"impact","formatType":"text","secure":false,"sensitive":false,"list":false,"table":""},{"type":"String","name":"ci_search_term","list":false,"id":"e0a867b3d6ca45baa63627d889455bf3","formatType":"Text","validationScript":"","secure":false,"sensitive":false},{"type":"Choice","choices":[],"id":"5fed4abecb144bb1a2028993aa4cdd4d","name":"configuration_item","formatType":"text","secure":false,"sensitive":false,"list":false,"table":""},{"type":"String","name":"description","list":false,"id":"3e5817ecce8a4620bf31ddf6c127ab4d","formatType":"Text","validationScript":"","secure":false,"sensitive":false},{"type":"True/False","id":"3ff090c7233046feae76cd82f8e9bd9a","name":"add_additional_details","formatType":"text","secure":false,"sensitive":false,"list":false},{"type":"True/False","id":"4669d51b41bc4dfcbfe79a4af2c19cf5","name":"repeat_ci_search","formatType":"text","secure":false,"sensitive":false,"list":false},{"type":"Reference","table":"sys_user","id":"1eb62b95a9d54cefbe1a1226f66ff777","name":"user","formatType":"text","secure":false,"sensitive":false,"list":false}],"applicability":{"type":"Applicability","mode":"script","value":"true"},"roles":["itil"],"scope":"3817bc072f430110f98855f62799b62d","domain":"global","topic_type":"STANDARD","channels":[],"id":"4cea98c12f1b0110f98855f62799b680","name":"_PRVW__8e0b9005bc1b01101325a81187d7f418","key_phrases":["Create Problem","Create Problem-Rail","create problem","problem","prb","report problem","generate problem"],"nlu_provider":"","nlu_model":"","nlu_model_label":"","nlu_intent":"","nlu_intent_label":"","flexible_conversation_switching":false,"autopilot_topic":false,"design_categories":[{"name":null,"visible":false,"sysId":"bfdd66da0b203300a1b16c2367673a1f"}],"triggerable_by_notification":false,"library":false,"nluMapping":"[]"}</design_definition>
        <design_topic_id>4cea98c12f1b0110f98855f62799b680</design_topic_id>
        <name>_PRVW__8e0b9005bc1b01101325a81187d7f418</name>
        <sys_class_name>sys_cb_design_topic</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-04 13:39:13</sys_created_on>
        <sys_domain>global</sys_domain>
        <sys_id>0b0b98052f1b0110f98855f62799b64a</sys_id>
        <sys_mod_count>0</sys_mod_count>
        <sys_name>FlowTopic</sys_name>
        <sys_package display_value="RailRight" source="x_811737_railright">3817bc072f430110f98855f62799b62d</sys_package>
        <sys_policy/>
        <sys_scope display_value="RailRight">3817bc072f430110f98855f62799b62d</sys_scope>
        <sys_update_name>sys_cb_design_topic_0b0b98052f1b0110f98855f62799b64a</sys_update_name>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-04 13:39:13</sys_updated_on>
        <type>FlowTopic</type>
    </sys_cb_design_topic>
</record_update>
